NSX-T Data Center REST API

Get statistics for all logical router NAT rules on a edge transport node

Returns the summation of statistics for all NAT rules from all the gateways
which are present on given edge transport node. Only cached statistics are supported.
The query parameter "source=realtime" is not supported.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-transport-nodes/{node-id}/nat/statistics
Request Headers:
n/a
Query Parameters:
PolicyRuntimeRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-transport-nodes/TN1/nat/statistics

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
NatStatisticsPerPolicyEdgeNode+

Example Response:

{ "last_update_timestamp": 1735233845846, "active_sessions": 0, "total_packets": 0, "total_bytes": 0 }

Required Permissions:

read

Feature:

nodes_transport_nodes

Additional Errors: